/* ************************************************************************** */
/** Descriptive File Name

  @Company
    Company Name

  @File Name
    filename.h

  @Summary
    Brief description of the file.

  @Description
    Describe the purpose of this file.
 */
/* ************************************************************************** */

#ifndef _USB_KEYBOARD_H    /* Guard against multiple inclusion */
#define _USB_KEYBOARD_H

/* Provide C++ Compatibility */
#ifdef __cplusplus
extern "C" {
#endif

#define KEY_REPEAT_INITIAL_TIME_uS 5000
#define KEY_REPEAT_TIME_uS          500
    
    
void APP_HostHIDKeyboardTasks();
bool APP_HostHIDKeyboardConnected(void);
bool APP_HostHIDKeyboardReportParser(void);

    /* Provide C++ Compatibility */
#ifdef __cplusplus
}
#endif

#endif /* _USB_KEYBOARD_H */

/* *****************************************************************************
 End of File
 */
